<template>
  <div class="weather-content">
    <div class="weather-content__row">
      <div class="weather-content__image">
        <ImageIcon
          class="weather-content__icon"
          :name="currentCity.weatherInfo.icon"
        />
      </div>
      <div class="weather-content__temperature">{{ temperature }}º</div>
    </div>
    <div class="weather-content__row">
      <div class="weather-content__description">
        {{ currentCity.weatherInfo.description }}
      </div>
    </div>
  </div>
</template>

<script>
import ImageIcon from '@/components/ImageIcon'
import store from '@/store/index.js'

export default {
  components: {
    ImageIcon
  },
  computed: {
    temperature: function() {
      return this.currentCity.weatherInfo.temperature[this.currentType]
    },
    currentType: function() {
      return store.state.currentType
    },
    currentCity: function() {
      return store.getters.getCurrentCity
    }
  }
}
</script>

<style lang="scss">
.weather-content {
  &__row {
    display: flex;
    align-items: center;
  }

  &__image {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100px;
    height: 100px;

    @include breakpoint(medium) {
      width: 200px;
      height: 200px;
    }
  }

  &__icon {
    max-height: 70px;

    @include breakpoint(medium) {
      max-height: 140px;
    }
  }

  &__temperature {
    line-height: 1.2;
    font-size: 7.5rem;
    font-family: 'PT Sans', sans-serif;

    @include breakpoint(medium) {
      font-size: 11.25rem;
      font-family: Lato, Helvetica, Arial, sans-serif;
    }
  }

  &__description {
    width: 100%;
    font-size: 1.125rem;
    text-align: center;

    @include breakpoint(medium) {
      font-size: 1.5625rem;
    }
  }
}
</style>
